- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Time Class Reference

The Time Class. More...

`#include <OSResult.h>`

Collaboration diagram for Time:

[legend]
List of all members.

## Public Member Functions
| Time ()
| Default constructor.
| ~Time ()
| Class destructor.
## Public Attributes
std::string | type
| The type of timer used (cpuTime/elapsedTime/other).
std::string | category
| The category of time (total/input/preprocessing/optimization/postprocessing/output/other).
std::string | unit
| The unit of time (tick/millisecond/second/minute/hour/day/week/month/year).
std::string | description
| Further description on the timer used.
double | value
| The time measurement.

## Detailed Description

The Time Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class that provides an array of individual time measurements that are defined in the OSrL schema.

Definition at line 221 of file OSResult.h.

## Constructor & Destructor Documentation

Time::Time | ( |  | ) |

Default constructor.

Definition at line 150 of file OSResult.cpp.

Time::~Time | ( |  | ) |

Class destructor.

Definition at line 163 of file OSResult.cpp.

## Member Data Documentation

std::string Time::type

The type of timer used (cpuTime/elapsedTime/other).

Definition at line 228 of file OSResult.h.

std::string Time::category

The category of time (total/input/preprocessing/optimization/postprocessing/output/other).

Definition at line 234 of file OSResult.h.

std::string Time::unit

The unit of time (tick/millisecond/second/minute/hour/day/week/month/year).

Definition at line 240 of file OSResult.h.

std::string Time::description

Further description on the timer used.

Definition at line 246 of file OSResult.h.

double Time::value

The time measurement.

Definition at line 252 of file OSResult.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.cpp